# Christine Dodrill

---

> #### Web and Backend Services Devops Specialist
> ##### Bellevue, WA &emsp; [christine.website][homepage]
> `Docker`, `Git`, `Haskell`, `Nim`, `Go`, `C`, `CentOS`, `CoreOS`, `IRC`, `Matrix`

---
## Experience
### Heroku - Senior Software Engineer &emsp; <small>*2017 - current*</small>
> [Heroku][heroku] is a cloud Platform-as-a-Service (PaaS) supporting
> several programming languages that is used as a web application deployment model.
> Heroku, one of the first cloud platforms, has been in development since June 2007,
> when it supported only the Ruby programming language, but now supports Java,
> Node.js, Scala, Clojure, Python, PHP, and Go.
>
> #### Highlights
>
> - [JVM Application Metrics](https://devcenter.heroku.com/changelog-items/1133)
> - [Go Runtime Metrics Agent](https://github.com/heroku/x/tree/master/runtime-metrics)
> - Other backend fixes and improvements on [Threshold Autoscaling](https://blog.heroku.com/heroku-autoscaling) and [Threshold Alerting](https://devcenter.heroku.com/articles/metrics#threshold-alerting)

---
### Backplane.io - Software Engineer &emsp; <small>*2016 - 2016*</small>
> [Backplane](https://backplane.io) is an innovative reverse reverse proxy that
> helps administrators and startups simplify their web application routing.
>
> #### Highlights
>
> - Performance monitoring of production servers
> - Continuous deployment and development in Go
> - Learning a lot about HTTP/2 and load balancing

---
### Pure Storage - Member of Technical Staff &emsp; <small>*2016 - 2016*</small>
> Pure Storage is a Mountain View, California-based enterprise data flash storage
> company founded in 2009. It is traded on the NYSE (PSTG).
>
> #### Highlights
> - Code maintenance

---
### IMVU - Site Reliability Engineer &emsp; <small>*2015 - 2016*</small>
> IMVU, inc is a company whose mission is to help people find and communicate
> with eachother. Their main product is a 3D avatar-based chat client and its
> surrounding infrastructure allowing creators to make content for the avatars
> to wear.
>
> #### Highlights
>
> - Wrote up technical designs
> - Implemented technical designs on an over 800 machine cluster
> - Continuous learning of a lot of very powerful systems and improving upon them
> when it is needed

---
### VTCSecure - Deis Consultant (contract) &emsp; <small>*2014 - 2015*</small>
> VTCSecure is a company dedicated to helping with custom and standard
> audio/video conferencing solutions. They specialize in helping the deaf and
> blind communicate over today's infrastructure without any trouble on their end.
>
> #### Highlights
>
> - Started groundwork for a dynamically scalable infrastructure on a project for helping the blind see things
> - Developed a prototype of a new website for VTCSecure
> - Education on best practices using Docker and CoreOS
> - Learning Freeswitch

---
### Crowdflower - Deis Consultant (Contract) &emsp; <small>*2014 - 2014*</small>
> Crowdflower is a company that uses crowdsourcing to have its customers submit
> tasks to be done, similar to Amazon's Mechanical Turk. CrowdFlower has over 50
> labor channel partners, and its network has more than 5 million contributors
> worldwide.
>
> #### Highlights
>
> - Research and development on scalable Linux deployments on AWS via CoreOS and
> Docker
> - Development of in-house tools to speed instance creation
> - Laid groundwork on the creation and use of better tools for managing large
> clusters of CoreOS and Fleet machines

---
### OpDemand - Software Engineering Intern &emsp; <small>*2014 - 2014*</small>
> OpDemand is the company behind the open source project Deis, a distributed
> platform-as-a-service (PaaS) designed from the ground up to emulate Heroku but
> on privately owned servers.
>
> #### Highlights
>
> - Built new base image for Deis components
> - Research and development on a new builder component

---
## Open Source
### [Elemental-IRCd](http://elemental-ircd.com)
A scalable RFC compliant IRCv3 enabled IRC server for personal and professional use.

#### Accomplishments

* Automated testing via [Travis](https://travis-ci.org/Elemental-IRCd/elemental-ircd)
* Community management via [Github](https://github.com/elemental-ircd/elemental-ircd)

Elemental is currently in use in production on several networks, totaling 800-1000
users per day with spikes of up to 50,000 on special events.

---
### [Tetra](https://github.com/Xe/Tetra)
A modern IRC services platform for TS6 IRC daemons.

#### Accomplishments

* Parallel, safe execution of handlers and scripts
* Moonscript -> Lua transpiling support
* A clean, declarative domain-specific language for declaring features or bot commands:

```
Command "PING", ->
  "PONG"
```

This will create a command named "PING" that will return "PONG" to the user when it is used.

---
### [PonyAPI](https://github.com/Xe/ponyapi)
A simple API for information on episodes of My Little Pony: Friendship is Magic written in Nim to be run inside a container.

All data is loaded into ram and there are no usage limits as long as you agree to not take down the server it is running on.

---
## Writing

> Articles listed below will be either personal or professional and do not reflect the views of any company or group I am affiliated with. The writing is my own.
#### [My Blog](https://christine.website/blog) *<small>@christine.website/blog</small>*

---
[homepage]: https://christine.website
[twitter]: https://twitter.com/theprincessxena
[twit]: http://cdn-careers.sstatic.net/careers/Img/icon-twitter.png?v=b1bd58ad2034
[heroku]: https://www.heroku.com
